Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 116489 - dev-java/xmlenc-0.52.ebuild (New Package)
Summary: dev-java/xmlenc-0.52.ebuild (New Package)
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://xmlenc.sourceforge.net/
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on:
Blocks: 116876
  Show dependency tree
 
Reported: 2005-12-23 06:28 UTC by Ernst de Haan
Modified: 2015-08-08 09:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild file (xmlenc-0.52.ebuild,1.03 KB, text/plain)
2005-12-23 06:29 UTC, Ernst de Haan
Details
Ebuild file (v2) (xmlenc-0.52.ebuild,1.03 KB, text/plain)
2005-12-27 07:42 UTC, Ernst de Haan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ernst de Haan 2005-12-23 06:28:29 UTC
Find attached xmlenc-0.52.ebuild.

The xmlenc library is a fast stream-based XML output library for Java. Main design goals are performance, simplicitity and pureness.

Suggested category: dev-java/xmlenc


Ernst
Comment 1 Ernst de Haan 2005-12-23 06:29:16 UTC
Created attachment 75386 [details]
Ebuild file
Comment 2 Ernst de Haan 2005-12-27 07:42:55 UTC
Created attachment 75607 [details]
Ebuild file (v2)

This one has "$Header: $" without the contents put in automatically by CVS.
Comment 3 Petteri Räty (RETIRED) gentoo-dev 2006-01-05 10:30:17 UTC
Committed to experimental until package ban is lifted again:
https://svn.gentooexperimental.org/svn/java/gentoo-java-experimental/dev-java/xmlenc/

Changes I made:
+src_unpack() {
+       unpack "${A}"
+       rm -rf "${S}/build" || die "Failed to remove ${S}/build"
+}
+

It is customary to delete stuff in src_unpack as to prepare the sources.

 src_compile() {
-       rm -rf build
        local antflags="jar"
        use debug && antflags="-Djavac.debug=true ${antflags}"
        use jikes && antflags="-Dbuild.compiler=jikes ${antflags}"
-       use doc && antflags="${antflags} javadoc"
+       use doc && antflags="${antflags} javadoc-public"

The default javadoc seems to generate private information too. I think we should only install the public documentation. We could of course use flag this bug it sounds a little bit overkill.

        ant ${antflags} || die "Processing of Ant build file failed."
+
+       if use doc; then
+               mv build/javadoc build/api || "Renaming javadoc failed."
+       fi
 }

It is recommended that you can succesfully run the functions many time so I do the renaming in src_compile.

 src_install() {
        java-pkg_dojar build/*.jar
-       rm -rf docs
-       mkdir -p docs/api
-       cp -r build/javadoc/* docs/api/
-       use doc && java-pkg_dohtml -r docs/*
+       use doc && java-pkg_dohtml -r build/api
        use source && java-pkg_dosrc src/main/*
 }

No need to use cp here now that we used mv in src_compile.
Comment 4 Ernst de Haan 2006-01-05 13:17:40 UTC
(In reply to comment #3)
> Committed to experimental until package ban is lifted again:
> https://svn.gentooexperimental.org/svn/java/gentoo-java-experimental/dev-java/xmlenc/

Appreciated. I'll see if I can find out how to test it from there.
 
> Changes I made:

I will keep these conventions in mind. Thanks for being verbose so I can learn from it :-)
Comment 5 Ernst de Haan 2006-07-19 12:57:50 UTC
Is there anything I can do to get this picked up?

Note that this ebuild is still valid; xmlenc 0.52 is still the current version.
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-15 17:40:01 UTC
Found here: http://overlays.gentoo.org/proj/java/browser/java-overlay/dev-java/xmlenc
Comment 7 Patrice Clement gentoo-dev 2015-08-08 09:07:25 UTC
http://sourceforge.net/projects/xmlenc/files/xmlenc/

We're still at version 0.52 after 10 years. Let's kiss this package good bye.
Comment 8 Patrice Clement gentoo-dev 2015-08-08 09:08:40 UTC
commit cb7d77a5a7b48685896ae174ada43de4638e416f
Author: Patrice Clement <monsieurp@gentoo.org>
Date:   Sat Aug 8 11:07:43 2015 +0200

    No releases in 10 years. Upstream dead. Fixes bug 116489.